Subject: Re: [RFC/PATCH] patch-ids: check modified paths before calculating diff

From: John Keeping <[email-masked]>
Date: Mon, 20 May 2013 09:16:38 +0100

On Sun, May 19, 2013 at 11:36:23PM -0700, Jonathan Nieder wrote:
> I don't know what it should mean to try to use --cherry without
> --no-merges or --first-parent, so I guess this is harmless.

Currently --no-merges doesn't actually get passed down this far.  We do
the patch ID calculations without taking that into account.